%define upstream_name    IO-Prompt-Tiny
%define upstream_version 0.003

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Prompt for user input with a default option
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/IO/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny) >= 0.120.0
BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This is an extremely simple prompting module, based on the extremely simple
prompt offered by the ExtUtils::MakeMaker manpage.In many cases, that's all
you need and this module gives it to you without all the overhead of
ExtUtils::MakeMaker just to prompt for input.

It doesn't do any validation, coloring, menus, timeouts, or any of the
wild, crazy, cool stuff that other prompting modules do. It just prompts
with a default. That's it!

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.3.0-6.mga9
+ Revision: 1804140
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.3.0-5.mga8
+ Revision: 1495148
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.3.0-4.mga7
+ Revision: 1268828
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.3.0-3.mga6
+ Revision: 1028774
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.3.0-2.mga6
+ Revision: 967455
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 sander85 <sander85> 0.3.0-1.mga6
+ Revision: 849072
- update to 0.003

* Wed Oct 15 2014 umeabot <umeabot> 0.2.0-4.mga5
+ Revision: 745232
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.0-3.mga5
+ Revision: 685073
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.2.0-2.mga4
+ Revision: 527667
- Mageia 4 Mass Rebuild

* Mon Jun 10 2013 jquelin <jquelin> 0.2.0-1.mga4
+ Revision: 441615
- update to 0.002

* Sun Jan 13 2013 umeabot <umeabot> 0.1.0-2.mga3
+ Revision: 368532
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 10 2012 jquelin <jquelin> 0.1.0-1.mga3
+ Revision: 304241
- imported package perl-IO-Prompt-Tiny


* Wed Oct 10 2012 cpan2dist 0.001-1mga
- initial mageia release, generated with cpan2dist
